package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.DomainResolutionMapper;
import com.zyc.system.domain.DomainResolution;
import com.zyc.system.service.IDomainResolutionService;

/**
 * 域名解析Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class DomainResolutionServiceImpl implements IDomainResolutionService 
{
    @Autowired
    private DomainResolutionMapper domainResolutionMapper;

    /**
     * 查询域名解析
     * 
     * @param id 域名解析主键
     * @return 域名解析
     */
    @Override
    public DomainResolution selectDomainResolutionById(Integer id)
    {
        return domainResolutionMapper.selectDomainResolutionById(id);
    }

    /**
     * 查询域名解析列表
     * 
     * @param domainResolution 域名解析
     * @return 域名解析
     */
    @Override
    public List<DomainResolution> selectDomainResolutionList(DomainResolution domainResolution)
    {
        return domainResolutionMapper.selectDomainResolutionList(domainResolution);
    }

    /**
     * 新增域名解析
     * 
     * @param domainResolution 域名解析
     * @return 结果
     */
    @Override
    public int insertDomainResolution(DomainResolution domainResolution)
    {
        return domainResolutionMapper.insertDomainResolution(domainResolution);
    }

    /**
     * 修改域名解析
     * 
     * @param domainResolution 域名解析
     * @return 结果
     */
    @Override
    public int updateDomainResolution(DomainResolution domainResolution)
    {
        return domainResolutionMapper.updateDomainResolution(domainResolution);
    }

    /**
     * 批量删除域名解析
     * 
     * @param ids 需要删除的域名解析主键
     * @return 结果
     */
    @Override
    public int deleteDomainResolutionByIds(Integer[] ids)
    {
        return domainResolutionMapper.deleteDomainResolutionByIds(ids);
    }

    /**
     * 删除域名解析信息
     * 
     * @param id 域名解析主键
     * @return 结果
     */
    @Override
    public int deleteDomainResolutionById(Integer id)
    {
        return domainResolutionMapper.deleteDomainResolutionById(id);
    }
}
